Get bill-to by ID [Deprecated]
curl --request GET \
--url https://prod01-apigw.{customer_name}.fabric.zone/api-cart/bill-to/{billToId}import requests
url = "https://prod01-apigw.{customer_name}.fabric.zone/api-cart/bill-to/{billToId}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://prod01-apigw.{customer_name}.fabric.zone/api-cart/bill-to/{billToId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"paymentMethod": "Visa Credit",
"cardIdentifier": "1234",
"amount": 149.99,
"address": {
"street1": "123 Main Street",
"city": "Seattle",
"state": "WA",
"country": "United States of America",
"zipCode": "10008-1234",
"name": {
"first": "John",
"last": "Smith"
},
"email": "johnsmith@fabric.inc",
"attention": "Leave at the back door.",
"street2": "ABC Boulevard",
"kind": "TBD",
"phone": {
"number": "123-456-7890",
"kind": "Mobile"
}
},
"billToId": 1,
"cart": "5e5818a84d030c206b2ffb02",
"_id": "5fee9d59f2f08a1b3cbdea08",
"createdAt": "2020-12-31T02:09:53.914Z",
"updatedAt": "2020-12-31T02:09:53.914Z",
"__v": 0
}{
"code": "<string>",
"message": "<string>"
}{
"code": "BILLTO_NOT_FOUND",
"message": "Bill-to not found."
}{
"code": "<string>",
"message": "<string>"
}Bill To
Get bill-to by ID [Deprecated]
Get bill-to by ID
GET
/
api-cart
/
bill-to
/
{billToId}
Get bill-to by ID [Deprecated]
Path Parameters
Required string length:
24Example:
"5e5818a84d030c206b2ffb02"
Response
Getting Bill To By ID
Required string length:
3 - 24Example:
"Visa Credit"
Required string length:
4Example:
"1234"
Required range:
x >= 0.01Example:
149.99
Show child attributes
Show child attributes
Example:
1
Example:
"5e5818a84d030c206b2ffb02"
Example:
"5fee9d59f2f08a1b3cbdea08"
Example:
"2020-12-31T02:09:53.914Z"
Example:
"2020-12-31T02:09:53.914Z"
Example:
0
Was this page helpful?
⌘I
